
Foreman - Feature #3017

API v2 - create separate controller for all objects rather than fallback to v1

09/03/2013 01:07 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Refactor #3866: API v1/v2 code duplication Rejected 12/12/2013

Associated revisions

Revision dc38aad3 - 11/13/2013 11:20 AM - Joseph Magen

fixes #3017 - split APIv2 controllers from v1 parents

History

#1 - 09/17/2013 01:05 PM - Joseph Magen

- Subject changed from create separate API v2 controller for all objects rather than fallback to v1 to API v2 - create separate controller for all objects

rather than fallback to v1

#2 - 10/17/2013 12:09 PM - Joseph Magen

- Target version set to 1.15.0

#3 - 10/22/2013 10:36 AM - Dominic Cleal

Please remember to "fix" #3267 in the v2 hosts view.

#4 - 10/31/2013 02:14 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/978

#5 - 11/12/2013 12:05 PM - Dominic Cleal

- Target version changed from 1.15.0 to 1.10.0

#6 - 11/13/2013 11:29 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#7 - 11/13/2013 12:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset dc38aad38be047b11952a9db118cc2994a2cb402.

#8 - 12/12/2013 11:08 AM - Dominic Cleal

- Related to Refactor #3866: API v1/v2 code duplication added
